Create order

Creates an order for the site from the given mode, currency, invoice number, customer email, billing address, and line items, plus optional shipping address, shipping method, payment reference, and inventory sync strategy. Returns the created order.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The site's unique name (its ID), returned when the site is created.

Body Params
string
enum
required

Mode of the order

Allowed:
string
required
length ≥ 1

Currency ISO code of the order

string | null

External reference to the order

string
enum
required

Status of the order

Allowed:
string
required
length ≥ 1

Unique bureaucratic reference to the order.
The invoice number need to be a unique value for all orders on a site

string
required
length ≥ 1

Email of the customer associated to the order

items
array of objects
required
length ≥ 1

Items bought with the order

items*
string | null

Product ID of the variation of the line item
This property is required if value is set for variation_id

string | null

Variation ID of the line item.
This property is required if value is set for product_id

string | null

Product ID for an external catalog

string | null

Variation ID for an external catalog

string
required
length ≥ 1

Display name of the line item

string | null

Absolute URL of an image associated to the line item

options
array of objects

Options selected by the customer for the line item

options
int32
required
1 to 2147483647

Quantity bought for the line item

boolean

If the line item require shipment

double
required

Price of a single unit of this line item

double | null

Weight of a single unit of this line item

unit_dimensions
object | null

Dimensions of a single unit of this line item

taxes
array of objects

Taxes applied to the line item

taxes
discounts
array of objects

Discounts applied to the line item

discounts
string | null

Merchant defined JSON data for the line item

billing_address
object
required

Billing address of the customer

shipping_address
object | null

Shipping address of the customer if an item in the order required shipment

shipping_method
object | null

Shipping method of the order if an item in the order required shipment

string | null

Special instructions left by the customer for the delivery

payment
object | null

Payment reference of the order

string | null
enum

If we should update the inventory for each variations after the order's creation.
Note that if the strategy is set to SYNC it is the developer's responsibility
to make sure each line items has enough stock before attempting to create the order.
If an item does not have enough stock, a bad request response will be sent back and the
order will not be created.

Allowed:
string | null

User agent of the customer when placed the order

string | null

The Ip address from which the order was placed

date-time | null

The date and time when the order was placed

string | null

Merchant defined JSON data for the whole order

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json